%global momorel 1
%global md5sum_src0 39a1a3e890cd5d3f51a707579098bc1c

Summary: Text-Glob module for perl 
Name: perl-Text-Glob
Version: 0.08
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/Text/Text-Glob-%{version}.tar.gz %{md5sum_src0}
URL: http://www.cpan.org/modules/by-module/Text/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.5
BuildArch: noarch

%description
Text-Glob module for perl

%prep
%setup -q -n Text-Glob-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Text-Glob-%{version}-filelist
if [ "$(cat Text-Glob-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_vendorarch}/auto/Text/Glob/.packlist

%files -f Text-Glob-%{version}-filelist
%defattr(-,root,root)
%doc Changes

%changelog
* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07-2m)
- use vendor

* Sat Jul 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.07-1m)
- update to 0.07

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.06-9m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.06-8m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.06-7m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.06-6m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.06-5m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.06-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.06-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.06-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Sep  5 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.06-1m)

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.05-2m)
- 'BuildArch: noarch'

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.05-1m)
- spec file was semi-autogenerated
